Bug 425789 - Stop baking of mimetype overlay icon into thumbnails
Summary: Stop baking of mimetype overlay icon into thumbnails
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kio
Classification: Unclassified
Component: general (show other bugs)
Version: git master
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: KIO Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-25 17:44 UTC by Stefan Brüns
Modified: 2020-09-22 16:01 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 20.12


Attachments
mp3 files with unrecognizable overlay (20.16 KB, image/png)
2020-08-25 17:44 UTC, Stefan Brüns
Details
text files with unrecognizable overlay (6.13 KB, image/png)
2020-08-25 17:45 UTC, Stefan Brüns
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Brüns 2020-08-25 17:44:42 UTC
Created attachment 131174 [details]
mp3 files with unrecognizable overlay

ThumbCreators with the ThumbCreator::BlendIcon will bake a mimetype overlay icon into the top bottom corner of the thumbnail.

This is bad for several reasons:
- Opacity of the overlay is specified by the caller, i.e. appearance may change dependent on which application triggers the thumbnail creation.
- The overlay is theme dependent
- For text/plain and mp3, the overlay (Breeze theme) is completely unrecognizable (light gray icon with ~25% opacity), and adds just some noise/blur.
- Bottom left is the first position for "native" overlays, i.e. the mime type overlay will be hidden by e.g. the "symlink" overlay

Only the text and audiofile thumbnailers are affected.
Comment 1 Stefan Brüns 2020-08-25 17:45:23 UTC
Created attachment 131175 [details]
text files with unrecognizable overlay
Comment 2 Stefan Brüns 2020-09-22 12:35:44 UTC
Git commit 3440a169ba8e67fd674be48357dfeaf96a2dabfe by Stefan Brüns.
Committed on 22/09/2020 at 12:35.
Pushed by bruns into branch 'master'.

Remove Mimetype overlay icon blending

Cached thumbnails should not depend on varying properties of the caller,
like iconAlpha, iconSize and theme of the overlay icon.

Also, the current mime type icons are hardly visible and unrecognizable
with dolphins default opacity of ~25%.

M  +0    -5    thumbnail/audiocreator.cpp
M  +0    -1    thumbnail/audiocreator.h
M  +0    -6    thumbnail/textcreator.cpp
M  +0    -1    thumbnail/textcreator.h
M  +2    -46   thumbnail/thumbnail.cpp
M  +0    -5    thumbnail/thumbnail.h

https://invent.kde.org/network/kio-extras/commit/3440a169ba8e67fd674be48357dfeaf96a2dabfe